# RDF summit for genomics

RDF summit organized by the Database Center for Life Science ([DBCLS](http://dbcls.rois.ac.jp/)).

## The 1st RDF summit in 2014

Main theme of the 1st RDF summit is to standardize the RDF representation of
genomic sequence annotations, locations and variations among
the International Nucleotide Sequence Database Collaboration ([INSDC](http://www.insdc.org/)/[DDBJ](http://www.ddbj.nig.ac.jp/)),
the European Bioinformatics Institute ([EBI](http://www.ebi.ac.uk/)/[Ensembl](http://www.ensembl.org/)),
and popular data formats including
[GFF](http://www.sequenceontology.org/gff3.shtml),
[GTF](http://mblab.wustl.edu/GTF22.html),
[GVF](http://www.sequenceontology.org/resources/gvf.html) and
[VCF](http://vcftools.sourceforge.net/specs.html).

### Meeting agenda

* Available on the [RDF summit Wiki page](https://github.com/dbcls/rdfsummit/wiki).

### Ontologies

* [FALDO](https://github.com/JervenBolleman/FALDO)
* [GFVO](http://www.biointerchange.org/ontologies.html)
* [SIO](http://sio.semanticscience.org/)
* [SO](http://www.sequenceontology.org/)
* [INSDC](https://github.com/tfuji/INSDC)
* [CLO](http://www.clo-ontology.org/)
* [BAO](http://bioassayontology.org/wp/bao-ontologies/)

### URIs

* [Identifiers.org](http://identifiers.org/)
* [Bio2RDF](http://bio2rdf.org/)
* [TogoWS](http://togows.org)
* [BioSamples](http://www.ebi.ac.uk/rdf/documentation/biosamples)

### Tools

* [BioInterchange](http://www.biointerchange.org/)
* [insdc2ttl](https://github.com/dbcls/rdfsummit/tree/master/insdc2ttl)
* [ensembl2ttl](https://github.com/dbcls/rdfsummit/tree/master/ensembl2ttl)
* [taxdump2owl](https://github.com/dbcls/rdfsummit/tree/master/taxdump2owl)
* [virtuoso.sh](https://github.com/dbcls/rdfsummit/tree/master/virtuoso)


